--[[**********************************
*
*	Multi Theft Auto - Admin Panel
*
*	gui\admin_message.lua
*
*	Original File by lil_Toady
*
**************************************]]

aMessageForm = nil

function aViewMessage ( id )
	if ( aMessageForm == nil ) then
		local x, y = guiGetScreenSize()
		aMessageForm		= guiCreateWindow ( x / 2 - 150, y / 2 - 125, 300, 250, "", false )
					   guiCreateLabel ( 0.05, 0.10, 0.30, 0.09, "Category:", true, aMessageForm )
					   guiCreateLabel ( 0.05, 0.18, 0.30, 0.09, "Subject:", true, aMessageForm )
					   guiCreateLabel ( 0.05, 0.26, 0.30, 0.09, "Time:", true, aMessageForm )
					   guiCreateLabel ( 0.05, 0.34, 0.30, 0.09, "By:", true, aMessageForm )
		aMessageCategory	= guiCreateLabel ( 0.40, 0.10, 0.55, 0.09, "", true, aMessageForm )
		aMessageSubject	= guiCreateLabel ( 0.40, 0.18, 0.55, 0.09, "", true, aMessageForm )
		aMessageTime		= guiCreateLabel ( 0.40, 0.26, 0.55, 0.09, "", true, aMessageForm )
		aMessageAuthor	= guiCreateLabel ( 0.40, 0.34, 0.55, 0.09, "", true, aMessageForm )
		aMessageText		= guiCreateMemo ( 0.05, 0.41, 0.90, 0.45, "", true, aMessageForm )
					   guiMemoSetReadOnly ( aMessageText, true )
		aMessageClose		= guiCreateButton ( 0.77, 0.88, 0.20, 0.09, "Close", true, aMessageForm )

		addEventHandler ( "onClientGUIClick", aMessageForm, aClientMessageClick )
		--Register With Admin Form
		aRegister ( "Message", aMessageForm, aViewMessage, aViewMessageClose )
	end
	if ( _messages[id] ) then
		guiSetText ( aMessageCategory, _messages[id].category )
		guiSetText ( aMessageSubject, _messages[id].subject )
		guiSetText ( aMessageTime, _messages[id].time )
		guiSetText ( aMessageAuthor, _messages[id].author )
		guiSetText ( aMessageText, _messages[id].text )
		guiSetVisible ( aMessageForm, true )
		guiBringToFront ( aMessageForm )
		triggerServerEvent ( "aMessage", getLocalPlayer(), "read", id )
	end
end

function aViewMessageClose ( destroy )
	if ( ( destroy ) or ( guiCheckBoxGetSelected ( aMessage ) ) ) then
		if ( aMessageForm ) then
			removeEventHandler ( "onClientGUIClick", aMessageForm, aClientMessageClick )
			destroyElement ( aMessageForm )
			aMessageForm = nil
		end
	else
		guiSetVisible ( aMessageForm, false )
	end
end

function aClientMessageClick ( button )
	if ( button == "left" ) then
		if ( source == aMessageClose ) then
			aViewMessageClose ( false )
		end
	end
end