index = {}
bases = {}
axieBase = {}
allyBase = {}
--capture = {}
--captureTable = {}
lastDmg = 0
maximized = false
mapStopped = false
hasSpawned = false

allyResource = guiCreateStaticImage ( 0.4, 0.02, 0.015, 0.02, "alliebase.png", true)
axieResource = guiCreateStaticImage ( 0.4, 0.05, 0.015, 0.02, "axisbase.png", true)

function menuHelpCreate ()
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "Select your class, then click on one of your bases to spawn.\nAllies are blue, and axis are red.\nYou can zoom the map by clicking on it.", true)
	else
		guiSetText(spawnHelp, "Select your class, then click on one of your bases to spawn.\nAllies are blue, and axis are red.\nYou can zoom the map by clicking on it.")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
end
addCommandHandler("show", menuHelpCreate)

function fadeMenuHelpIn()
	local alpha = guiGetAlpha(spawnHelp)
	local alpha = alpha + 0.01
	if alpha <= 1 then
		guiSetAlpha(spawnHelp, alpha)
	else
		removeEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
	end
end

function fadeMenuHelpOut()
	hideHelpTimer = nil
	local function hideMenuHelp()
		local alpha = guiGetAlpha(spawnHelp)
		local alpha = alpha - 0.01
		if alpha >= 0 then
			guiSetAlpha(spawnHelp, alpha)
		else
			removeEventHandler("onClientRender", getLocalPlayer(), hideMenuHelp)
		end
	end
	addEventHandler("onClientRender", getLocalPlayer(), hideMenuHelp)
end
addCommandHandler("hide", fadeMenuHelpOut)

function spawnHelpCreate ()
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "You have spawned.\nCapture the bases and stop the enemy team from capturing them!", true)
	else
		guiSetText(spawnHelp, "You have spawned.\nCapture the bases and stop the enemy team from capturing them!")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
end
addCommandHandler("showspawn", spawnHelpCreate)

function captureHelpCreate ()
if getElementData(getLocalPlayer(), "showHelp") == true then
	if ( hideHelpTimer ) then
		killTimer(hideHelpTimer)
		hideHelpTimer = nil
	end
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "Stay within range to capture the base.", true)
	else
		guiSetText(spawnHelp, "Stay within range to capture the base.")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
	hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
end
end
addCommandHandler("showcapt", captureHelpCreate)
addEvent("captureHelpCreate", true)
addEventHandler("captureHelpCreate", getRootElement(), captureHelpCreate)

function capturedHelpCreate ()
if getElementData(getLocalPlayer(), "showHelp") == true then
	if ( hideHelpTimer ) then
		killTimer(hideHelpTimer)
		hideHelpTimer = nil
	end
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "You have successfully captured a base.\nMake sure the enemy team doesn't steal it now.", true)
	else
		guiSetText(spawnHelp, "You have successfully captured a base.\nMake sure the enemy team doesn't steal it now.")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
	hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
end
end
addCommandHandler("showcaptd", capturedHelpCreate)
addEvent("capturedHelpCreate", true)
addEventHandler("capturedHelpCreate", getRootElement(), capturedHelpCreate)

function blockHelpCreate ()
	if ( hideHelpTimer ) then
		killTimer(hideHelpTimer)
		hideHelpTimer = nil
	end
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "You have blocked the enemy from capturing the base.", true)
	else
		guiSetText(spawnHelp, "You have blocked the enemy from capturing the base.")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
	hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
end
addCommandHandler("showblock", blockHelpCreate)

function blockedHelpCreate ()
	if ( hideHelpTimer ) then
		killTimer(hideHelpTimer)
		hideHelpTimer = nil
	end
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "You have been blocked by an enemy, you cant capture this point untill he's gone", true)
	else
		guiSetText(spawnHelp, "You have been blocked by an enemy, you cant capture this point untill he's gone")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
	hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
end
addCommandHandler("showblocked", blockedHelpCreate)

function killedHelpCreate ()
	if not ( spawnHelp ) then
		spawnHelp = guiCreateMemo(0.25, 0.85, 0.50, 0.13, "You have been killed. Wait for the spawnmenu to appear.", true)
	else
		guiSetText(spawnHelp, "You have been killed. Wait for the spawnmenu to appear.")
	end
	guiMemoSetReadOnly(spawnHelp, true)
	guiSetAlpha(spawnHelp, 0)
	guiSetVisible(spawnHelp, true)
	addEventHandler("onClientRender", getLocalPlayer(), fadeMenuHelpIn)
end
addCommandHandler("showkilled", killedHelpCreate)

function disableHelp ()
	setElementData(getLocalPlayer(), "showHelp", false)
	xmlNodeSetValue(guiHelpXML, "false")
	xmlSaveFile(guiHelpXML)
end
addCommandHandler("disableguihelp", disableHelp)

function enableHelp ()
	setElementData(getLocalPlayer(), "showHelp", true)
	xmlNodeSetValue(guiHelpXML, "true")
	xmlSaveFile(guiHelpXML)
end
addCommandHandler("enableguihelp", enableHelp)

addEventHandler("onClientPlayerSpawn", getLocalPlayer(), function (team)
if getElementData(getLocalPlayer(), "feigndeath") == true then return end
	if getElementData(getLocalPlayer(), "showHelp") == true then
		if ( hideHelpTimer ) then
			killTimer(hideHelpTimer)
			hideHelpTimer = nil
		end
		spawnHelpCreate ()
		hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
	end
end)

function captureTable (capture)
--outputChatBox (tostring(capture))
capture1 = capture
end
addEvent ("captureTable", true)
addEventHandler ("captureTable", getLocalPlayer(), captureTable)
function teamMenu ()
if not ( teamForm ) then
	setCameraLookAt (tarX, tarY, tarZ)
	--teamForm = guiCreateWindow ( 0.15, 0.15, 0.7, 0.7, "Battlefield Team Selector", true )
	teamForm = guiCreateStaticImage ( 0.15, 0.15, 0.7, 0.7, "bg.png", true, teamForm )
	addEventHandler ("onClientGUIMove", teamForm, function() guiSetPosition (teamForm, 0.15, 0.15, true) end, false )
	addEventHandler ("onClientGUISize", teamForm, function() guiSetSize (teamForm, 0.7, 0.7, true) end, false )
	local page = xmlNodeGetValue(guiHelpXML)
		if page == "true" then
			helpCheck = guiCreateCheckBox ( 0.025, 0.95, 0.17, 0.05, "Show help", true, true, teamForm )
			setElementData(getLocalPlayer(), "showHelp", true)
		elseif page == "false" then
			helpCheck = guiCreateCheckBox ( 0.025, 0.95, 0.17, 0.05, "Show help", false, true, teamForm )
			setElementData(getLocalPlayer(), "showHelp", false)
		else
			helpCheck = guiCreateCheckBox ( 0.025, 0.95, 0.17, 0.05, "Show help", true, true, teamForm )
			setElementData(getLocalPlayer(), "showHelp", true)
			xmlNodeSetValue(guiHelpXML, "true")
			xmlSaveFile(guiHelpXML)
		end
	addEventHandler("onClientGUIClick", helpCheck, function ()
		if guiCheckBoxGetSelected(helpCheck) == true then
			--outputChatBox ("showing help...")
			setElementData(getLocalPlayer(), "showHelp", true)
			xmlNodeSetValue(guiHelpXML, "true")
			xmlSaveFile(guiHelpXML)
		else
			--outputChatBox ("help sux!")
			setElementData(getLocalPlayer(), "showHelp", false)
			xmlNodeSetValue(guiHelpXML, "false")
			xmlSaveFile(guiHelpXML)
		end
	end, false)
	--addEventHandler ( "onClientGUIClick", background, function () guiMoveToBack ( background ) end)
	--guiWindowSetSizable ( teamForm, false )
	--guiWindowSetMovable ( teamForm, false )
	guiSetAlpha ( teamForm, 0.9 )
	guiSetVisible ( teamForm, true )
	showCursor ( true )
	alliesImage = guiCreateStaticImage ( 0.30, 0.05, 0.4, 0.2, "allies.png", true, teamForm )
	alliesButton = guiCreateStaticImage ( 0.375, 0.27, 0.25, 0.1, "buttonAllies.png", true, teamForm )
	addEventHandler ( "onClientGUIClick", alliesButton, joinAllies, false )
	axisImage = guiCreateStaticImage ( 0.3, 0.45, 0.4, 0.2, "axis.png", true, teamForm )
	axisButton = guiCreateStaticImage ( 0.375, 0.67, 0.25, 0.1, "buttonAxis.png", true, teamForm )
	addEventHandler ( "onClientGUIClick", axisButton, joinAxis, false )
else
	guiSetVisible ( teamForm, true )
	showCursor ( true )
end
	triggerServerEvent ("fetchTable", getLocalPlayer() )
	
end
addCommandHandler ("menu1", teamMenu)

function joinAllies ()
	if source ~= alliesButton then return end
--if getTeamFromName("Ally") == true or getTeamFromName ("Axis") == true then
	local allies = getTeamFromName ( "Ally" )
	local axies = getTeamFromName ( "Axis" )
--end
	if getTeamFromName ( "Ally" ) == false then
		setCameraPosition (allycamX, allycamY, allycamZ)
		setTimer (setCameraLookAt, 1000, 1, allytarX, allytarY, allytarZ)
		guiSetVisible ( teamForm, false )
		showCursor ( false )
		--outputChatBox ("you joined the Allies", 0, 0, 255)
		setTimer (spawnMenu, 5000, 1, getLocalPlayer())
		--setTimer (outputChatBox, 6000, 1, "Click on blue base to spawn.")
		triggerServerEvent ("addAlly", getLocalPlayer())
	elseif countPlayersInTeam(allies) < countPlayersInTeam(axies) or countPlayersInTeam(allies) == countPlayersInTeam(axies) then
		setCameraPosition (allycamX, allycamY, allycamZ)
		setTimer (setCameraLookAt, 1000, 1, allytarX, allytarY, allytarZ)
		guiSetVisible ( teamForm, false )
		showCursor ( false )
		--outputChatBox ("you joined the Allies", 0, 0, 255)
		setTimer (spawnMenu, 5000, 1, getLocalPlayer())
		--setTimer (outputChatBox, 6000, 1, "Click on blue base to spawn.")
		triggerServerEvent ("addAlly", getLocalPlayer())
	else
		outputChatBox ("Too many players in selected team")
	end
end

function joinAxis ()
if source ~= axisButton then return end
	local allies = getTeamFromName ( "Ally" )
	local axies = getTeamFromName ( "Axis" )
	if getTeamFromName ( "Axis" ) == false then
		setCameraPosition (axiecamX, axiecamY, axiecamZ)
		setTimer (setCameraLookAt, 1000, 1, axietarX, axietarY, axietarZ)
		guiSetVisible ( teamForm, false )
		showCursor ( false )
		--outputChatBox ("you joined the Axis", 255, 0, 0)
		setTimer (spawnMenu, 5000, 1, getLocalPlayer())
		--setTimer (outputChatBox, 6000, 1, "Click on red base to spawn.")
		triggerServerEvent ("addAxis", getLocalPlayer())
	elseif countPlayersInTeam(allies) > countPlayersInTeam(axies) or countPlayersInTeam(allies) == countPlayersInTeam(axies) then
		setCameraPosition (axiecamX, axiecamY, axiecamZ)
		setTimer (setCameraLookAt, 1000, 1, axietarX, axietarY, axietarZ)
		guiSetVisible ( teamForm, false )
		showCursor ( false )
		--outputChatBox ("you joined the Axis", 255, 0, 0)
		setTimer (spawnMenu, 5000, 1, getLocalPlayer())
		--setTimer (outputChatBox, 6000, 1, "Click on red base to spawn.")
		triggerServerEvent ("addAxis", getLocalPlayer())
	else
		outputChatBox ("Too many players in selected team")
	end
end

function spawnMenu ()
	if getElementData(getLocalPlayer(), "showHelp") == true then
		if ( hideHelpTimer ) then
			killTimer(hideHelpTimer)
			hideHelpTimer = nil
		end
		menuHelpCreate()
		hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
	end
	setTimer (guiSetText, 1000, 1, menuAppearText, "")
	triggerServerEvent ("fetchTable", getLocalPlayer() )
	index[getLocalPlayer()] = 1
	--triggerServerEvent ("fetchTable", getLocalPlayer() )
if not spawnForm then
	local x, y = guiGetScreenSize()
	--spawnForm = guiCreateWindow ( 0.15, 0.15, 0.7, 0.7, "Battlefield Spawnmenu", true )
	spawnForm = guiCreateStaticImage ( 0.15, 0.15, 0.7, 0.7, "bg.png", true )
	--addEventHandler ("onClientGUIMove", spawnForm, function() guiSetPosition (spawnForm, 0.15, 0.15, true) end )
	--addEventHandler ("onClientGUISize", spawnForm, function() guiSetSize (spawnForm, 0.7, 0.7, true) end )
	--addEventHandler ( "onClientGUIClick", spawnForm, function() if source ~= spawnForm then return else return end end)
else
	guiSetVisible (spawnForm, true)
end
	--guiWindowSetSizable ( spawnForm, false )
	--guiWindowSetMovable ( spawnForm, false )
	guiSetAlpha ( spawnForm, 0.9 )
	if not map then
		if getElementsByType ("custommap") then
			specialmap = getElementsByType("custommap")
			specialimage = getElementData(specialmap[1], "file")
			thisResource = getThisResource()
			if ( specialimage ) then
				--outputChatBox ("creating custom map")
				specialname = getElementData(specialmap[1], "name")
				mapresource = getResourceFromName (specialname)
				mapbase = guiCreateScrollPane ( 0.30, 0.10, 0.675, 0.8, true, spawnForm)
				map1 = guiCreateStaticImage ( 0, 0, 1, 1, "map.png", true, mapbase )
				addEventHandler ( "onClientGUIClick", map1, mapEnlarge, false )
				--map = guiCreateStaticImage (0.30, 0.10, 0.675, 0.8, specialimage, true, spawnForm, mapresource)
				map = guiCreateStaticImage (0, 0, 1, 1, specialimage, true, map1, mapresource)
			else
				mapbase = guiCreateScrollPane ( 0.30, 0.10, 0.675, 0.8, true, spawnForm)
				map = guiCreateStaticImage ( 0, 0, 1, 1, "map.png", true, mapbase )
			end
		else
			mapbase = guiCreateScrollPane ( 0.30, 0.10, 0.675, 0.8, true, spawnForm)
			map = guiCreateStaticImage ( 0, 0, 1, 1, "map.png", true, mapbase )
		end
		addEventHandler ( "onClientGUIClick", map, mapEnlarge, false )
	end
	if ( accept ) then
		destroyElement ( accept )
		accept = nil
	end
	
		for blipKey, blipValue in ipairs(capture1) do
			local baseX, baseY, baseZ = getElementPosition (blipValue)
			local x3 = ( baseX + 3000 ) / 6000
			local y3 = ( 3000 - baseY ) / 6000
			if getBlipIcon (blipValue) == 0 then
				if (bases[blipKey]) then
					guiStaticImageLoadImage(bases[blipKey], "bases.png")
				else
				--if (axieBase[blipKey]) then
					--destroyElement(axieBase[blipKey])
				--end
				--if (allyBase[blipKey]) then
					--destroyElement(allyBase[blipKey])
				--end
				bases[blipKey] = guiCreateStaticImage ( x3 - 0.011, y3 - 0.011, 0.02, 0.02, "bases.png", true, map)
				end
				addEventHandler ( "onClientGUIClick", bases[blipKey], function ()
				--if getBlipIcon (bases[blipKey]) == 0 then return end
					--if ( mapmarker ) then
						--destroyElement ( mapmarker )
					--end
					--if maximized == false then
						--mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.030, 0.04, "dot.png", true, map)
					--else
						--mapmarker = guiCreateStaticImage ( x3 - 0.0075, y3 - 0.01, 0.015, 0.02, "dot.png", true, map)
					--end 
					--if ( accept ) then
						--destroyElement ( accept )
						--accept = nil
					--end
				end, false )
			elseif getBlipIcon (blipValue) == 20 then
				if (bases[blipKey]) then
					--destroyElement(bases[blipKey])
					guiStaticImageLoadImage(bases[blipKey], "axisbase.png")
				else
				--end
				--if (allyBase[blipKey]) then
					--destroyElement(allyBase[blipKey])
				--end
				--axieBase[blipKey] = guiCreateStaticImage ( x3 - 0.015, y3 - 0.015, 0.029, 0.03, "axisbase.png", true, map)
				bases[blipKey] = guiCreateStaticImage ( x3 - 0.011, y3 - 0.011, 0.02, 0.02, "axisbase.png", true, map)
				end
				--addEventHandler ( "onClientGUIClick", axieBase[blipKey], function ()
				addEventHandler ( "onClientGUIClick", bases[blipKey], function ()
				if getTeamName(getPlayerTeam(getLocalPlayer())) ~= "Axis" then return end
				local baseX1, baseY1, baseZ1 = getElementPosition (capture1[blipKey])
				--local baseZ2 = getGroundPosition(baseX1,baseY1, baseZ1+5)
					if ( mapmarker ) then
						destroyElement ( mapmarker )
					end
					if maximized == false then
						mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.030, 0.04, "dot.png", true, map)
					else
						mapmarker = guiCreateStaticImage ( x3 - 0.0075, y3 - 0.01, 0.015, 0.02, "dot.png", true, map)
					end 
					if getTeamName(getPlayerTeam(getLocalPlayer())) == "Axis" then
					--outputChatBox (""..baseX1.." "..baseY1.." "..baseZ1.."")
					--outputChatBox (""..baseZ2.."")
						if ( accept ) then 
							guiBringToFront ( accept ) 
						else
							accept = guiCreateStaticImage ( 0.825, 0.915, 0.15, 0.075, "buttonAccept.png", true, spawnForm )
							addEventHandler ("onClientGUIClick", accept, function (accept)
								--outputChatBox ("accept")
								--local baseX1, baseY1, baseZ1 = getElementPosition (capture1[blipKey])
								--outputChatBox (""..baseX1.." "..baseY1.."")
								triggerServerEvent ("spawn", getLocalPlayer(), baseX1, baseY1, baseZ1-7, index )
								setTimer (hideSpawnMenu, 500, 1)
								toggleCameraFixedMode ( false )
								stopFollow ()
							end, false )
						end
					else
						if ( accept ) then
							destroyElement ( accept )
							accept = nil
						end
					end
				end, false )
			elseif getBlipIcon (blipValue) == 30 then
				if (bases[blipKey]) then
					--destroyElement(bases[blipKey])
					guiStaticImageLoadImage(bases[blipKey], "alliebase.png")
				else
				--end
				--if (axieBase[blipKey]) then
					--destroyElement(axieBase[blipKey])
				--end
				--allyBase[blipKey] = guiCreateStaticImage ( x3 - 0.015, y3 - 0.015, 0.029, 0.03, "alliebase.png", true, map)
				bases[blipKey] = guiCreateStaticImage ( x3 - 0.011, y3 - 0.011, 0.02, 0.02, "alliebase.png", true, map)
				end
				--addEventHandler ( "onClientGUIClick", allyBase[blipKey], function ()
				addEventHandler ( "onClientGUIClick", bases[blipKey], function ()
				if getTeamName(getPlayerTeam(getLocalPlayer())) ~= "Ally" then return end
				local baseX1, baseY1, baseZ1 = getElementPosition (capture1[blipKey])
				--local baseZ2 = getGroundPosition(baseX1,baseY1, baseZ1+5)
					if ( mapmarker ) then
						destroyElement ( mapmarker )
					end
					if maximized == false then
						mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.030, 0.04, "dot.png", true, map)
					else
						mapmarker = guiCreateStaticImage ( x3 - 0.0075, y3 - 0.01, 0.015, 0.02, "dot.png", true, map)
					end
					if getTeamName(getPlayerTeam(getLocalPlayer())) == "Ally" then
					--outputChatBox (""..baseX1.." "..baseY1.." " ..baseZ1.."")
					--outputChatBox (""..baseZ2.."")
						if ( accept ) then 
							destroyElement ( accept ) 
						end
							accept = guiCreateStaticImage ( 0.825, 0.915, 0.15, 0.075, "buttonAccept.png", true, spawnForm )
							addEventHandler ("onClientGUIClick", accept, function (accept)
								--outputChatBox ("accept")
								--local baseX1, baseY1, baseZ1 = getElementPosition (capture1[blipKey])
								triggerServerEvent ("spawn", getLocalPlayer(), baseX1, baseY1, baseZ1-7, index )
								setTimer (hideSpawnMenu, 500, 1)
								toggleCameraFixedMode ( false )
								stopFollow ()
								--local baseX1, baseY1, baseZ1 = 0, 0, 0
							end, false )
						--end
					else
						if ( accept ) then
							destroyElement ( accept )
							accept = nil
						end
					end
				end, false )
			else
				outputChatBox ("poo")
			end
		end
		--bases[k] = guiCreateStaticImage ( x3, y3, 0.015, 0.02, image, true)
		
		

		--local x2 = allieX/100 + 58
		--local y2 = allieY/100 - 51
		--local x3 = x2*10 / 1000
		--local y3 = y2*10 / 1000
		--local y3 = -y3
		local x3 = ( allieX + 3000 ) / 6000
		local y3 = ( 3000 - allieY ) / 6000
		if not ( allieMarker ) then
			allieMarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.015, 0.029, 0.03, "alliebase.png", true, map)
		end
		--outputChatBox (""..x3.." "..y3.."")
		addEventHandler ( "onClientGUIClick", allieMarker, function ()
		if getTeamName(getPlayerTeam(getLocalPlayer())) ~= "Ally" then return end
			if source ~= allieMarker then return end
			if ( mapmarker ) then
				destroyElement ( mapmarker )
			end
			if maximized == false then
				mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.030, 0.04, "dot.png", true, map)
			else
				mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.015, 0.02, "dot.png", true, map)
			end
			if getTeamName(getPlayerTeam(getLocalPlayer())) == "Ally" then
				--outputChatBox (""..x3.." "..y3.."")
				if ( accept ) then 
					destroyElement ( accept ) 
				end
				accept = guiCreateStaticImage ( 0.825, 0.915, 0.15, 0.075, "buttonAccept.png", true, spawnForm )
				addEventHandler ("onClientGUIClick", accept, function (accept)
					--outputChatBox ("accept")
					local baseX1, baseY1, baseZ1 = allieX, allieY, allieZ
					--local baseZ2 = getGroundPosition(baseX1,baseY1, baseZ1+5)
					triggerServerEvent ("spawn", getLocalPlayer(), baseX1, baseY1, baseZ1, index )
					setTimer (hideSpawnMenu, 500, 1)
					toggleCameraFixedMode ( false )
					stopFollow ()
					--local baseX1, baseY1, baseZ1 = 0, 0, 0
				end, false )
			end
		end, false )
		
		
		

		local x3 = ( axieX + 3000 ) / 6000
		local y3 = ( 3000 - axieY ) / 6000
		if not ( axieMarker ) then
			axieMarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.015, 0.029, 0.03, "axisbase.png", true, map)
		end
		addEventHandler ( "onClientGUIClick", axieMarker, function ()
		if getTeamName(getPlayerTeam(getLocalPlayer())) ~= "Axis" then return end
			if source ~= axieMarker then return end
			if ( mapmarker ) then
				destroyElement ( mapmarker )
			end
			if maximized == false then
				mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.030, 0.04, "dot.png", true, map)
			else
				mapmarker = guiCreateStaticImage ( x3 - 0.015, y3 - 0.02, 0.015, 0.02, "dot.png", true, map)
			end
			if getTeamName(getPlayerTeam(getLocalPlayer())) == "Axis" then
				--outputChatBox (""..baseX1.." "..baseY1.."")
				if ( accept ) then 
					destroyElement ( accept ) 
				end
				accept = guiCreateStaticImage ( 0.825, 0.915, 0.15, 0.075, "buttonAccept.png", true, spawnForm )
				addEventHandler ("onClientGUIClick", accept, function (accept)
					--outputChatBox ("accept")
					local baseX1, baseY1, baseZ1 = axieX, axieY, axieZ
					--local baseZ2 = getGroundPosition(baseX1,baseY1, baseZ1+5)
					triggerServerEvent ("spawn", getLocalPlayer(), baseX1, baseY1, baseZ1, index )
					setTimer (hideSpawnMenu, 500, 1)
					toggleCameraFixedMode ( false )
					stopFollow ()
					--local baseX1, baseY1, baseZ1 = 0, 0, 0
				end, false )
			end
		end, false )
	--end
	
	
	prevChar = guiCreateStaticImage ( 0.05, 0.1, 0.05, 0.05, "previous.png", true, spawnForm )
	addEventHandler ( "onClientGUIClick", prevChar, previousChar, false )
	nextChar = guiCreateStaticImage ( 0.20, 0.1, 0.05, 0.05, "next.png", true, spawnForm )
	addEventHandler ( "onClientGUIClick", nextChar, nextCharacter, false )
	--local team = getPlayerTeam(getLocalPlayer())
	--outputChatBox (""..getTeamName(getPlayerTeam(getLocalPlayer())).."")
	if getTeamName(getPlayerTeam(getLocalPlayer())) == "Ally" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allysoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allysoldier.png")
			end
			if ( description1 ) then
				destroyElement ( description1 )
				description1 = nil
			end
				description1 = guiCreateLabel ( 0.033, 0.600, 0.25, 0.50, "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. M4, Desert Eagle, Grenades and Armor are standard equipment", true, spawnForm )
				guiLabelSetColor (description1, 255, 255, 255)
				guiLabelSetHorizontalAlign ( description1, "left", true )
		end
	elseif getTeamName(getPlayerTeam(getLocalPlayer())) == "Axis" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axissoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axissoldier.png")
			end
			if ( description1 ) then
				destroyElement ( description1 )
				description1 = nil
			end
				description1 = guiCreateLabel ( 0.033, 0.600, 0.25, 0.50, "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. AK47, Desert Eagle, Grenades and Armor are standard equipment", true, spawnForm )
				guiLabelSetColor (description1, 255, 255, 255)
				guiLabelSetHorizontalAlign ( description1, "left", true )
		end
	end
	
	--guiSetVisible ( spawnForm, true )
	showCursor ( true )
end
addCommandHandler ("menu", spawnMenu)

function testimage ()
	resource = getResourceFromName ("BFruins")
	outputChatBox ("creating custom map")
	specialmap = getElementsByType("custommap")
	specialimage = getElementData(specialmap[1], "file")
	mapimage = guiCreateStaticImage (0.2, 0.4, 0.5, 0.5, specialimage, true, resource)
end
addCommandHandler ("map1", testimage)

function nextCharacter ( nextChar )
	--destroyElement ( character )
	--for k,v in pairs(bases) do
		--guiBringToFront ( v )
	--end
	--for k,v in pairs(axieBase) do
		--guiBringToFront ( v )
	--end
	--for k,v in pairs(allyBase) do
		--guiBringToFront ( v )
	--end
	--if ( axieMarker ) then
		--guiBringToFront ( axieMarker )
	--end
	--if ( allieMarker ) then
		--guiBringToFront ( allieMarker )
	--end
	--if ( mapmarker ) then
		--guiBringToFront ( mapmarker )
	--end
	--if ( accept ) then
		--guiBringToFront ( accept )
	--end
	
	if ( description1 ) then
		destroyElement ( description1 )
		description1 = nil
	end
	--outputChatBox ("next")
	if index[getLocalPlayer()] == 5 then
		index[getLocalPlayer()] = 0
	end
	index[getLocalPlayer()] = index[getLocalPlayer()] + 1
	if getTeamName(getPlayerTeam(getLocalPlayer())) == "Ally" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allysoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allysoldier.png")
			end
			--soldier = 287
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. M4, Desert Eagle, Grenades and Armor are standard equipment", true )
			--guiLabelSetHorizontalAlign ( description1, 4 )
			infoText = "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. M4, Desert Eagle, Grenades and Armor are standard equipment"
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 2 then
			if not (character) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allyscout.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allyscout.png")
			end
			--scout = 285
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "Armed with an highly accurate sniper rifle, this soldier is the ultimate choice for defence.", true )
			infoText = "Armed with a highly accurate sniper rifle, this soldier is the ultimate choice for defence."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 3 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allymedic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allymedic.png")
			end
			--medic = 286
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war.", true )
			infoText = "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 4 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allyantitank.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allyantitank.png")
			end
			--antitank = 284
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laugh death in the face.", true )
			infoText = "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laughs death in the face."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 5 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allymechanic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allymechanic.png")
			end
			--mechanic = 260
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "The mechanic is the teams vehicle-suplier. He can repair vehicles on the battlefield, and request new ones. Dont leave this guy behind - hes actually quite usefull.", true )
			infoText = "The mechanic is the team's vehicle supplier. He can repair vehicles on the battlefield, and request new ones. Don't leave this guy behind - he's actually quite useful."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		end
	elseif getTeamName(getPlayerTeam(getLocalPlayer())) == "Axis" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axissoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axissoldier.png")
			end
			--soldier = 165
			infoText = "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. AK47, Desert Eagle, Grenades and Armor are standard equipment"
		elseif index[getLocalPlayer()] == 2 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axisscout.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axisscout.png")
			end
			--scout = 163
			infoText = "Armed with a highly accurate sniper rifle, this soldier is the ultimate choice for defence."
		elseif index[getLocalPlayer()] == 3 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axismedic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axismedic.png")
			end
			--medic = 164
			infoText = "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war."
		elseif index[getLocalPlayer()] == 4 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axisantitank.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axisantitank.png")
			end
			--antitank = 166
			infoText = "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laughs death in the face."
		elseif index[getLocalPlayer()] == 5 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axismechanic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axismechanic.png")
			end
			--mechanic = 50
			infoText = "The mechanic is the team's vehicle supplier. He can repair vehicles on the battlefield, and request new ones. Don't leave this guy behind - he's actually quite useful."
		end
	end
	description1 = guiCreateLabel ( 0.033, 0.600, 0.25, 0.50, infoText, true, spawnForm )
	guiLabelSetColor (description1, 255, 255, 255)
	guiLabelSetHorizontalAlign ( description1, "left", true )
end

function previousChar ( prevChar )
	--destroyElement ( character )
	--for k,v in pairs(bases) do
		--guiBringToFront ( v )
	--end
	--for k,v in pairs(axieBase) do
		--guiBringToFront ( v )
	--end
	--for k,v in pairs(allyBase) do
		--guiBringToFront ( v )
	--end
	--if ( axieMarker ) then
		--guiBringToFront ( axieMarker )
	--end
	--if ( allieMarker ) then
		--guiBringToFront ( allieMarker )
	--end
	--if ( mapmarker ) then
		--guiBringToFront ( mapmarker )
	--end
	--if ( accept ) then
		--guiBringToFront ( accept )
	--end
	
	if ( description1 ) then
		destroyElement ( description1 )
		description1 = nil
	end
	
	--outputChatBox ("prev")
	if index[getLocalPlayer()] == 1 then
		index[getLocalPlayer()] = 6
	end
	index[getLocalPlayer()] = index[getLocalPlayer()] - 1
	if getTeamName(getPlayerTeam(getLocalPlayer())) == "Ally" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allysoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allysoldier.png")
			end
			--soldier = 287
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. M4, Desert Eagle, Grenades and Armor are standard equipment", true )
			--guiLabelSetHorizontalAlign ( description1, 4 )
			infoText = "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. M4, Desert Eagle, Grenades and Armor are standard equipment"
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 2 then
			if not (character) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allyscout.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allyscout.png")
			end
			--scout = 285
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "Armed with an highly accurate sniper rifle, this soldier is the ultimate choice for defence.", true )
			infoText = "Armed with a highly accurate sniper rifle, this soldier is the ultimate choice for defence."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 3 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allymedic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allymedic.png")
			end
			--medic = 286
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war.", true )
			infoText = "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 4 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allyantitank.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allyantitank.png")
			end
			--antitank = 284
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laugh death in the face.", true )
			infoText = "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laughs death in the face."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		elseif index[getLocalPlayer()] == 5 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "allymechanic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "allymechanic.png")
			end
			--mechanic = 260
			--description1 = guiCreateLabel ( 0.17, 0.600, 0.18, 0.50, "The mechanic is the teams vehicle-suplier. He can repair vehicles on the battlefield, and request new ones. Dont leave this guy behind - hes actually quite usefull.", true )
			infoText = "The mechanic is the team's vehicle supplier. He can repair vehicles on the battlefield, and request new ones. Don't leave this guy behind - he's actually quite useful."
			--guiLabelSetHorizontalAlign ( description1, 4 )
		end
	elseif getTeamName(getPlayerTeam(getLocalPlayer())) == "Axis" then
		if index[getLocalPlayer()] == 1 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axissoldier.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axissoldier.png")
			end
			--soldier = 165
			infoText = "With his accurate automatic weapon, a soldier is perfect for assaulting enemy bases. AK47, Desert Eagle, Grenades and Armor are standard equipment"
		elseif index[getLocalPlayer()] == 2 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axisscout.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axisscout.png")
			end
			--scout = 163
			infoText = "Armed with a highly accurate sniper rifle, this soldier is the ultimate choice for defence."
		elseif index[getLocalPlayer()] == 3 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axismedic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axismedic.png")
			end
			--medic = 164
			infoText = "Medics, what would the world be without them? This is the most important soldier on the battlefield, without them - you have lost the war."
		elseif index[getLocalPlayer()] == 4 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axisantitank.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axisantitank.png")
			end
			--antitank = 166
			infoText = "This heavily armed soldier is the only choice when it comes to taking out an enemy tank. Armed with a massive flamethrower, this guy laughs death in the face."
		elseif index[getLocalPlayer()] == 5 then
			if not ( character ) then
				character = guiCreateStaticImage ( 0.035, 0.185, 0.25, 0.40, "axismechanic.png", true, spawnForm )
			else
				guiStaticImageLoadImage(character, "axismechanic.png")
			end
			--mechanic = 50
			infoText = "The mechanic is the team's vehicle supplier. He can repair vehicles on the battlefield, and request new ones. Don't leave this guy behind - he's actually quite useful."
		end
	end
	description1 = guiCreateLabel ( 0.033, 0.600, 0.25, 0.50, infoText, true, spawnForm )
	guiLabelSetColor (description1, 255, 255, 255)
	guiLabelSetHorizontalAlign ( description1, "left", true )
end
	
--0.4 bred
--0.6
--sw = -3000 -3000
--ne = 3000 3000
--nw = -3000 3000
--se = 3000 -3000

-- 0.6/0.5 = 0/0
-- west 0.3 = -3000
-- east 0.8 = 3000
-- north 0.2 = 3000
-- south 0.8 = -3000
function mapEnlarge ()
	if (map1) then
		--outputChatBox ("setting size of map1")
		local x, y = guiGetSize (map1, true)
		--outputChatBox (""..x.." "..y.."")
		if math.ceil(x*10) ~= 14 and math.ceil(y*10) ~= 17 then
			maximized = true
			guiSetSize (map1, 1.4, 1.7, true)
			for blipKey, blipValue in ipairs(bases)do
				guiSetSize(blipValue, 0.015, 0.015, true)
			end
			guiSetSize(allieMarker, 0.0145, 0.015, true)
			guiSetSize(axieMarker, 0.0145, 0.015, true)
		else
			maximized = false
			guiSetSize (map1, 1, 1, true)
			guiSetSize(allieMarker, 0.029, 0.03, true)
			guiSetSize(axieMarker, 0.029, 0.03, true)
			for blipKey, blipValue in ipairs(bases) do 
				guiSetSize(blipValue, 0.02, 0.02, true)
			end
		end
	else
		--outputChatBox ("setting size of map")
		local x, y = guiGetSize (map, true)
		--outputChatBox (""..x.." "..y.."")
		if math.ceil(x*10) ~= 14 and math.ceil(y*10) ~= 17 then
			maximized = true
			guiSetSize (map, 1.4, 1.7, true)
			guiSetSize(allieMarker, 0.0145, 0.015, true)
			guiSetSize(axieMarker, 0.0145, 0.015, true)
			for blipKey, blipValue in ipairs(bases) do
				guiSetSize(blipValue, 0.015, 0.015, true)
			end
		else
			maximized = false
			guiSetSize (map, 1, 1, true)
			guiSetSize(allieMarker, 0.029, 0.03, true)
			guiSetSize(axieMarker, 0.029, 0.03, true)
			for blipKey, blipValue in ipairs(bases) do
				guiSetSize(blipValue, 0.02, 0.02, true)
			end
		end
	end
	if ( mapmarker ) then
		if maximized == false then
			guiSetSize ( mapmarker, 0.030, 0.04, true )
		else
			guiSetSize ( mapmarker, 0.015, 0.02, true )
		end
	end
end

function hideSpawnMenu ()
	if ( mapmarker ) then
		destroyElement ( mapmarker )
		mapmarker = nil
	end
	for key, value in ipairs(capture1) do
		destroyElement(value)
	end
	--destroyElement ( character )
	guiSetVisible ( spawnForm, false )
	showCursor ( false )
end
addCommandHandler ("hidemenu", hideSpawnMenu)

addEventHandler ("onClientPlayerDamage", getLocalPlayer(), function ( attacker, weapon, bodypart )
	if getElementData (getLocalPlayer(), "spawnProtection") == true then
		--outputChatBox ("canceling damage")
		cancelEvent()
	else
		if ( lastDmg > getTickCount() ) then return end
		lastDmg = getTickCount() + 2000
		--outputChatBox (""..bodypart.."")
		if bodypart == 4 then
			--outputChatBox ("You got shot in the ass!")
			setControlState ("aim_weapon", false)
			--setControlState ("jump", true)
			--setTimer (setControlState, 200, 1, "jump", false)
			setTimer (setControlState, 300, 1, "jump", true)
			setTimer (setControlState, 500, 1, "jump", false)
		elseif bodypart == 9 then
			--outputChatBox ("Headshot!", 255,0,0)
			displayGUItextToPlayer(0.45, 0.3, "Headshot!", "default-bold-small", 255, 0, 0, 3000)
			--killPlayer()
		end
	end
end )

addEventHandler("onClientPlayerSpawn", getLocalPlayer(), function ()
	if hasSpawned == false then
		hasSpawned = true
	end
	if mapStopped == true then
		mapStopped = false
	end
end)

addEventHandler ("onClientPlayerWasted", getLocalPlayer(), function (attacker, weapon, bodypart)
if hasSpawned == false then return end
if mapStopped == true then return end
if getElementData(getLocalPlayer(), "feigndeath") == true then return end
	if getElementData(getLocalPlayer(), "showHelp") == true then
		if ( hideHelpTimer ) then
			killTimer(hideHelpTimer)
			hideHelpTimer = nil
		end
		killedHelpCreate ()
		hideHelpTimer = setTimer (fadeMenuHelpOut, 10000, 1)
	end
	if not ( menuAppearText ) then
		menuAppearText = guiCreateLabel ( 0.3, 0.3, 0.40, 0.06, "", true )
	end
	guiSetFont (menuAppearText, "sa-header")
	guiLabelSetColor ( menuAppearText, 255, 255, 255, 255 )
	menuCountDown = tonumber(respawnMe1) / 1000
	setTimer (spawnMenu, tonumber(respawnMe1), 1, getLocalPlayer() )
	--setTimer (hideSpawnMenu, tonumber(respawnMe) + 50, 1, getLocalPlayer() )
	--setTimer (spawnMenu, tonumber(respawnMe) + 100, 1, getLocalPlayer() )
	setTimer (triggerServerEvent, tonumber(respawnMe1) - 3000, 1, "fetchTable", getLocalPlayer() )
	setTimer (aMenuCountDown, 1000, tonumber(menuCountDown), getLocalPlayer())
	--setTimer (guiSetText, tonumber(respawnMe), 1, menuAppearText, "")
	setTimer(hideMenuText, tonumber(respawnMe1) + 1000, 1)
end )

function hideMenuText()
	guiSetText (menuAppearText, "")
	destroyElement(menuAppearText)
	menuAppearText = nil
end

function aMenuCountDown ()
	menuCountDown = menuCountDown - 1
	guiSetText (menuAppearText, "Spawnmenu will appear in: " ..menuCountDown)
end

function setTimeStatic ()
	--local splitString = split(maptime, string.byte(':'))
	setTime(tonumber(splitString[1]),tonumber(splitString[2]))
end
addCommandHandler("testtime", setTimeStatic)
function axisWin ()
	toggleCameraFixedMode ( true )
	setTimer (setCameraPosition, 100, 1, allycamX, allycamY, allycamZ)
	setTimer (setCameraLookAt, 500, 1, allytarX, allytarY, allytarZ)
	setTimer (axisWinBoom, 1000, 1)

end
addCommandHandler("axiswin", axisWin)
addEvent("axisWin", true)
addEventHandler("axisWin", getRootElement(), axisWin)

function axisWinBoom ()
	setTimer (createExplosion, 50, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,50), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 100, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 200, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 300, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 400, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 500, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 600, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 700, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 800, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 900, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 1000, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 1500, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2000, 1, allytarX + math.random(-30,53), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	
	setTimer (createExplosion, 2500, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2600, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2700, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2800, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2900, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3000, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3100, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3200, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3300, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3400, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3500, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3600, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3700, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3800, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3900, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 4000, 1, allytarX + math.random(-30,30), allytarY + math.random(-30,30), allytarZ, 6, true, -1.0, false)
end

function allyWin ()
	toggleCameraFixedMode ( true )
	setTimer (setCameraPosition, 100, 1, axiecamX, axiecamY, axiecamZ)
	setTimer (setCameraLookAt, 500, 1, axietarX, axietarY, axietarZ)
	setTimer (allyWinBoom, 1000, 1)
end
addCommandHandler("allywin", allyWin)
addEvent("allyWin", true)
addEventHandler("allyWin", getRootElement(), allyWin)

function allyWinBoom ()
	setTimer (createExplosion, 50, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 100, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 200, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 300, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 400, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 500, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 600, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 700, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 800, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 900, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 1000, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 1500, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2000, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	
	setTimer (createExplosion, 2500, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2600, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2700, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2800, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 2900, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3000, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3100, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3200, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3300, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3400, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3500, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3600, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3700, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3800, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 3900, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
	setTimer (createExplosion, 4000, 1, axietarX + math.random(-30,30), axietarY + math.random(-30,30), axietarZ, 6, true, -1.0, false)
end

function onTheMapStop()
	mapStopped = true
	--for k,v in ipairs(allieSpawn) do
		--destroyElement(v)
	--end
	for k,v in ipairs(bases) do
		destroyElement(v)
	end
	for k,v in pairs(capture1) do
		destroyElement(v)
	end
	destroyElement(allieMarker)
	allieMarker = nil
	destroyElement(axieMarker)
	axieMarker = nil
	
	if ( map ) then
		destroyElement(map)
		map = nil
	end
	if ( map1 ) then
		destroyElement(map1)
		map1 = nil
	end
	if ( mapbase ) then
		destroyElement(mapbase)
		mapbase = nil
	end
	
index = {}
bases = {}
axieBase = {}
allyBase = {}
--capture = {}
--captureTable = {}
lastDmg = 0
maximized = false
end
addEvent("onTheMapStop", true)
addEventHandler("onTheMapStop", getRootElement(), onTheMapStop)


function readMapData()
--outputChatBox ("reading data...")
		allieSpawn = getElementsByType ("baseAllies")
		allieX = getElementData (allieSpawn[1], "posX")
		allieY = getElementData (allieSpawn[1], "posY")
		allieZ = getElementData (allieSpawn[1], "posZ")

		axieSpawn = getElementsByType ("baseAxies")
		axieX = getElementData (axieSpawn[1], "posX")
		axieY = getElementData (axieSpawn[1], "posY")
		axieZ = getElementData (axieSpawn[1], "posZ")
--local tehSettings = getElementsByType ( "settings" )
--respawnMe = getElementData ( tehSettings[1], "respawntime" )
--currentmap = call(getResourceFromName"mapmanager","getRunningGamemodeMap")	
--respawnMe = get(getResourceName(currentmap)..".#respawntime")

--local tehTime = getElementsByType ( "settime" )
--hour = getElementData ( tehTime[1], "hour" )
--minute = getElementData ( tehTime[1], "minute" )
--include = getElementData ( tehTime[1], "include" )

--maptime = get(getResourceName(currentmap)..".#time")
if maptime1 then
	splitString = split(maptime1, string.byte(':'))
	setTime(tonumber(splitString[1]),tonumber(splitString[2]))
	setTimer (setTimeStatic, 900, 0 )
end

--if tonumber(include) == 1 then
	--setTimer (setTimeStatic, 900, 0)
--end

local cam = getElementsByType ("camera")
posX = getElementData (cam[1], "posX")
posY = getElementData (cam[1], "posY")
posZ = getElementData (cam[1], "posZ")
tarX = getElementData (cam[1], "targetX")
tarY = getElementData (cam[1], "targetY")
tarZ = getElementData (cam[1], "targetZ")

local allyCam = getElementsByType ("alliescam")
allycamX = getElementData (allyCam[1], "posX")
allycamY = getElementData (allyCam[1], "posY")
allycamZ = getElementData (allyCam[1], "posZ")
allytarX = getElementData (allyCam[1], "targetX")
allytarY = getElementData (allyCam[1], "targetY")
allytarZ = getElementData (allyCam[1], "targetZ")

local axieCam = getElementsByType ("axiescam")
axiecamX = getElementData (axieCam[1], "posX")
axiecamY = getElementData (axieCam[1], "posY")
axiecamZ = getElementData (axieCam[1], "posZ")
axietarX = getElementData (axieCam[1], "targetX")
axietarY = getElementData (axieCam[1], "targetY")
axietarZ = getElementData (axieCam[1], "targetZ")

toggleCameraFixedMode ( true )
setTimer (setCameraPosition, 1000, 1, posX, posY, posZ)
setTimer (teamMenu, 2000, 1 )
end
menuAppearText = guiCreateLabel ( 0.3, 0.3, 0.40, 0.06, "", true )
guiHelpXML = xmlLoadFile("guihelp.xml")
if not guiHelpXML then
	guiHelpXML = xmlCreateFile("guihelp.xml", "help")
end

function onTheMapStart(respawnMe, maptime)
	--outputChatBox(""..respawnMe.." "..maptime.."")
	maptime1 = maptime
	respawnMe1 = respawnMe
	setTimer (readMapData, 2000, 1 )
	setTimer (fadeCamera, 400, 1, true)
end
addEvent("onTheMapStart", true)
addEventHandler("onTheMapStart", getRootElement(), onTheMapStart)

function isReady(resource)
	--outputChatBox ("trigger server")
	triggerServerEvent ("iAmReady", getLocalPlayer())
end
addEventHandler("onClientResourceStart", getRootElement(), isReady)